Skip to content

resolvePrice

WRITE

Resolve price.

POST /api/v1/sales/resolvePrice
curl -X POST '<your-host>/api/v1/sales/resolvePrice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "input": {}
  }'
Response
{
  "finalPrice": 0,
  "basePrice": 0,
  "trace": [
    {
      "step": "string",
      "source": "string",
      "amount": 0,
      "adjustment": 0,
      "ruleId": "string"
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "input": {
      "type": "object",
      "properties": {
        "customerId": {
          "type": "string"
        },
        "customerTypeId": {
          "type": "string"
        },
        "itemId": {
          "type": "string"
        },
        "itemPostingGroupId": {
          "type": "string"
        },
        "quantity": {
          "type": "number"
        },
        "date": {
          "type": "string"
        },
        "existingBasePrice": {
          "type": "number"
        }
      },
      "required": [
        "itemId",
        "quantity"
      ]
    }
  },
  "required": [
    "input"
  ]
}